LrcXAConnection (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.resource.jms.lrc
Class LrcXAConnection

    java.lang.Object
      bitronix.tm.resource.jms.lrc.LrcXAConnection

All Implemented Interfaces:
  javax.jms.Connection, javax.jms.XAConnection

    public class LrcXAConnection

extends Object
implements javax.jms.XAConnection

XAConnection implementation for a non-XA JMS resource emulating XA with Last Resource Commit.

Author:
  lorban

Constructor Summary
`LrcXAConnection(javax.jms.Connection connection)`

Method Summary
`void` | `close()`
`javax.jms.ConnectionConsumer` | `createConnectionConsumer(javax.jms.Destination destination, String messageSelector, javax.jms.ServerSessionPool serverSessionPool, int maxMessages)`
`javax.jms.ConnectionConsumer` | `createDurableConnectionConsumer(javax.jms.Topic topic, String subscriptionName, String messageSelector, javax.jms.ServerSessionPool serverSessionPool, int maxMessages)`
`javax.jms.Session` | `createSession(boolean transacted, int acknowledgeMode)`
`javax.jms.XASession` | `createXASession()`
`String` | `getClientID()`
`javax.jms.ExceptionListener` | `getExceptionListener()`
`javax.jms.ConnectionMetaData` | `getMetaData()`
`void` | `setClientID(String clientID)`
`void` | `setExceptionListener(javax.jms.ExceptionListener exceptionListener)`
`void` | `start()`
`void` | `stop()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LrcXAConnection

    public LrcXAConnection(javax.jms.Connection connection)

Method Detail

### createXASession

    public javax.jms.XASession createXASession()
                                        throws javax.jms.JMSException

  Specified by:
    `createXASession` in interface `javax.jms.XAConnection`
  Throws:
    `javax.jms.JMSException`

### createSession

    public javax.jms.Session createSession(boolean transacted,
                                           int acknowledgeMode)
                                    throws javax.jms.JMSException

  Specified by:
    `createSession` in interface `javax.jms.Connection`
  Specified by:
    `createSession` in interface `javax.jms.XAConnection`
  Throws:
    `javax.jms.JMSException`

### createConnectionConsumer

    public javax.jms.ConnectionConsumer createConnectionConsumer(javax.jms.Destination destination,
                                                                 String messageSelector,
                                                                 javax.jms.ServerSessionPool serverSessionPool,
                                                                 int maxMessages)
                                                          throws javax.jms.JMSException

  Specified by:
    `createConnectionConsumer` in interface `javax.jms.Connection`
  Throws:
    `javax.jms.JMSException`

### createDurableConnectionConsumer

    public javax.jms.ConnectionConsumer createDurableConnectionConsumer(javax.jms.Topic topic,
                                                                        String subscriptionName,
                                                                        String messageSelector,
                                                                        javax.jms.ServerSessionPool serverSessionPool,
                                                                        int maxMessages)
                                                                 throws javax.jms.JMSException

  Specified by:
    `createDurableConnectionConsumer` in interface `javax.jms.Connection`
  Throws:
    `javax.jms.JMSException`

### getClientID

    public String getClientID()
                       throws javax.jms.JMSException

  Specified by:
    `getClientID` in interface `javax.jms.Connection`
  Throws:
    `javax.jms.JMSException`

### setClientID

    public void setClientID(String clientID)
                     throws javax.jms.JMSException

  Specified by:
    `setClientID` in interface `javax.jms.Connection`
  Throws:
    `javax.jms.JMSException`

### getMetaData

    public javax.jms.ConnectionMetaData getMetaData()
                                             throws javax.jms.JMSException

  Specified by:
    `getMetaData` in interface `javax.jms.Connection`
  Throws:
    `javax.jms.JMSException`

### getExceptionListener

    public javax.jms.ExceptionListener getExceptionListener()
                                                     throws javax.jms.JMSException

  Specified by:
    `getExceptionListener` in interface `javax.jms.Connection`
  Throws:
    `javax.jms.JMSException`

### setExceptionListener

    public void setExceptionListener(javax.jms.ExceptionListener exceptionListener)
                              throws javax.jms.JMSException

  Specified by:
    `setExceptionListener` in interface `javax.jms.Connection`
  Throws:
    `javax.jms.JMSException`

### start

    public void start()
               throws javax.jms.JMSException

  Specified by:
    `start` in interface `javax.jms.Connection`
  Throws:
    `javax.jms.JMSException`

### stop

    public void stop()
              throws javax.jms.JMSException

  Specified by:
    `stop` in interface `javax.jms.Connection`
  Throws:
    `javax.jms.JMSException`

### close

    public void close()
               throws javax.jms.JMSException

  Specified by:
    `close` in interface `javax.jms.Connection`
  Throws:
    `javax.jms.JMSException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.